Subject: Linux Hardware Compatability List .4 (LONG)
From: Zane H. Healy <[email-masked]>
Date: Wed, 17 Feb 1993 02:22:56 GMT
Newsgroups: comp.os.linux.announce

LINUX HARDWARE COMPATIBLITY LIST

VERSION: 0.4                                               DATE: 16 FEB 93

NOTE1: This list has been VERY WELL recieved as a whole and I thank everyone
for all their help.  The list still needs a lot of work and could use some 
restructuring.  Unfortunatly I am finding that with work, and my other
projects I just don't have time to continue it.  So I am now looking for a 
volunteer to take over the Hardware List.  If you would like to take the 
list over please send me a note with the word "volunteer" in the subject
line, and let me know how long you've been using Linux.  If no one comes
forward and volunteers I'm afraid that this list will vanish.  PLEASE don't
send any more info for the list.
 
NOTE2: There have been some requests for a Linux Hardware Incompatibility
list.  But do to a lack of responses I didn't come up with anything.  I
won't pursue this (see NOTE1).

     Welcome to the Linux Hardware Compatibility List.  It is my hope that
this will be of help to people and that it will do away with a lot of the
will this work with my system questions.  I also hope that this will help
people who want to buy a system to run Linux or are in the process of
upgradeing their system and want to make sure that the hardware they buy is
compatible with Linux (especially for item's such as SCSI controller's and
CD-ROM's).
     If you are wondering about a specific piece of Hardware and you don't
find it in this list all I can say is I don't know at this time but as soon
as I find out it will be in the next list.  If you find out that it work's
from some other source, i.e. a friend or trying it out, PLEASE let me know.
Also even though a piece of equipment is on this system doesn't mean that I
know how to get it to work with Linux, it is on this list because someone
has told me that it works on THIER system.
    Thanks to everyone that has helped and sent info this list is a lot 
better!  If you sent me info and you don't see it here I appologize, but a 
few thing's I couldn't figure out how to list.

BRAND NAME COMPUTERS
--------------------
 ACER 1200
 Bitwise
 Compaq Deskpro 386/20
 Compaq LTE386s/20 (Notebook) (using XFree 1.2)
 Compaq Contura 3/25 (25 MHZ 386 SL notebook with VGA type grayscale 
                      screen and 120 MB hd.)
 Comtrade
 Comtrade Local Bus
 Diamond Flower Industries DFI 386-20
 DTK
 EDGE Technology, 486/33DX
 Hewlett Packard HP QS20
 Highscreen Tower 386
 Hi Tech USA 486/33 ISA
 Gateway 2000 33Mhz 386DX
 Gateway 486 DX2 66V
 Insight 486DX/25
 Insight 486DX-50 ISA and EISA
 Laser 386SX/2E
 Microlink 486dx/50 localbus
 Osborne Computers (Australia) 486/33 EISA
 Paradise
 Packard Bell Legend 520 SX
 Toshiba 1850 laptop
 Trigem 386v
 Tyan Pro-EISA, Opti EISA Chip-set
 PACOMP 486/33
 Viglen Gene
 Vobis Highscreen 486DX/33
 Xpand 386/40
 Zenon 486/33 Local Bus
 Zeos 486DX2/50 VL-Bus

CPU
---
 Intel 80386SX
 Intel 80386DX
 Intel 80486DX
 AMD AM386SX 
 AMD AM386DX
 AMD AM386DXL 
 Cyrix 486DLC

FPU
---
 Cyrix FasMath 387/40
 IIT 387-25MHz
 IIT 387/40Mhz
 Intel 387
 ULSI MathCo 387/33

MOTHERBOARD
-----------
 386 AWP
 AMI EISA Enterprise II
 AMI Series 50 Super Voyager 486/33 DX
 AVM 486DX-50
 C386 PEAK-DM
 CONTAQ-386 Upgradable System Board
 DTK
 DTK PEM-2530
 ECS UL-486
 ETEQ G486EB
 G486PLB
 G486SLC The Symphony Mainboard - Companion (BIOS AMI 1991)
 GS3486
 HOT-307H 386-33/40 (OPTI chipset)
 HM386sx
 ISA486S
 M407 PC Chips motherboard
 Magitronic/VLSI V386SX-25Mhz
 Micronics 80486 ASIC EISA
 Micronics EISA-II motherboard w/8 EISA slots and 64KB cache RAM standard
 MST-386
 MST 486A (Armas Inc. ROC)
 Mylex EISA mae486
 Oktec Trout 386
 OCTECK 386-33 64K cm
 PLB-486/50
 SUPER 486-33C
 Symphony 80486 PC/AT chipset
 T/B, UNICHIP chipset, 386DX25 upgradeable to 486DX50
 UMC 386
 UMC 80486
 Viglen
 ZIDA 386/33DX-128C

BIOS
----
 AMI
 AMI 9-25-88
 AMI 07/12/90
 AMI (Dated 08/30/90)
 AMI (Dated 05/05/91)
 AMI (Dated 7/7/91)
 AMI 486 ISA  (dated 12/12/91)
 AMI 486/50
 Award
 Mylex 6.15.92
 Phoenix
 Phoenix Technologies V D.02.05 QS/20
 Pheonix 80486 Ver 1.01.22-2
 Phoenix 80486/EISA ROM BIOS PLUS Version 1.01.22-2
 Phoenix C3.04e
 Quadtel

CONTROLLERS (Multifunction)
---------------------------
 Buslogic 742a
 Future Domain TMC950 based SCSI/IDE controller + 4 floppies
 HP Multifunction
 IDE-PLUS-V3 multi i/o board
 ISFP multiple IO-card
 IODE-3290U (IDE/FD/2S/1P/1G)
 Laser Multi-IO/IDE Card
 MCT-AIO Serial/Parallel/Game (16550AFN)
 MIO-16 Multi IO Card
 PTI-227B Super I/O Card (serial, parallel, IDE)
 SUPER IDE I/O CARD, model PT-604
 Super IDE/FDC MULTI I/O card Modem 827 Version 11
 Super I/O MP57

CONTROLLERS (I/O)
-----------------
 Accent ASYNC-4 4 port serial card
 BOCA ATI0
 Gw2760 EX SUPER IO CARD
 GW232c mini serial card

 PC-COMM 4-port card with 16550 uarts
 ShineCom Multi-User catd LCS-8880 (AST 4-port clone)

CONTROLLERS (Floppy)
--------------------
 ???
 Adaptek 1542B (built-in)

CONTROLLERS (Hard Drive)
------------------------
 RLL
 ---
  Seagate ST11R
  WD 1006V-SR2

 MFM
 ---
  DTC150x XT (8-bit) MFM HD
  Seagate ST11M
  Seagate ST22M MFM controller w/floppy

 IDE
 ---
  DC600 Caching IDE controller (4Mb RAM) (BIOS Dated 01/24/92 (c) Tekram Tech.)

 ESDI
 ----
  6280-15TX
  DTC-6180
  DTC-6180-15T
  Western Digital  1007A-WA2

CONTROLLERS (SCSI)
------------------
 Adaptek AHA1542
 Adaptek AHA-1742A, BIOS version 1.34
 Adaptek AHA1542B
 Adaptek AHA1740
 Adaptec AHA-1740 SCSI-2 controller (BIOS v1.34) in Enhanced Mode
 Future Domain SCSI Model 1680
 Future Domain SCSI card, TMC-850 (works with kernel 0.99p4+)
 Future Domain SCSI card, TMC-950 chip
 MYLEX DCE376 EISA SCSI controller (in WD emulation mode only)
 Seagate ST-02
 UltraStor SCSI
 7000FASST SCSI
 WD7000fasst SCSI Card, firmware rev 5.0 (only works with .99+)

IT WORKS BUT I DON'T KNOW IF IT'S MFM OR SCSI (I'VE BEEN TOLD BOTH)
-------------------------------------------------------------------
 Western Digital WD1003

SOUND BOARDS
------------
 ProAudio Spectrum-16
 SoundBlaster
 SoundBlaster PRO

HARD DRIVES (RLL)
-----------------
 CDC Wren II
 Micropolis 1325 (108MB)
 Toshiba ((105MB) used as 68MB MFM)

HARD DRIVES (MFM)
-----------------
 CDC Wren II
 Computer Memories Inc. 6426-S  (20 MB, Full-height)
 Maxtor (68MB)
 Seagate 251-1
 Seagate ST225
 Seagate ST296N
 Tandon 262 (20 MB)

HARD DRIVES (IDE)
-----------------
 All should work and the following have been verified.
 Alps DR312C (202MB)
 Conner CP3204F
 Conner (210MB)
 Fujitsu (520MB)
 Fujitsu 2652S
 Fujitsu M2624-T (490meg)
 Maxtor 7120A (120MB)
 Maxtor 7213A (213MB)
 Maxtor LXT340AT (340MB)
 Maxtor XT 1140 (140MB)
 Maxtor (340MB)
 Miniscribe 8051A
 Miniscribe 8380
 Seagate (44MB)
 Seagate ST125A
 Seagate ST1102A (85MB)
 Seagate ST1144A (124Mb)
 Seagate ST1239A (211MB)
 Seagate ST3120A
 Seagate ST3144A (120/130MB IDE) 
 Seagate ST351A/X (44MB)
 Seagate ST157AT
 Seagate ST3283A (245Mb)
 Quantum ELS 170AT (170MB)
 Quantum Prodrive LPS 240 AT
 Quantum Prodrive 80AT
 Quantum (240MB)
 Western Digital AC280 (80MB)
 Western Digital (120MB)
 Western Digital (200MB)
 Western Digital AC2200 (210MB)
 Western Digital WDAC3400 (340MB)

HARD DRIVES (ESDI)
------------------
 Fujitsu M2249E (320MB)
 Imprimis (300MB)
 Imprimis (360MB)
 NEC ESDI (350MB)

HARD DRIVES (SCSI)
------------------
 All should work and the following have been verified.
 CDC WREN VI (700MB)
 Fujitsu M2624 (520Mb SCSI)
 Maxtor 7120SCS
 Maxtor LXT-200S
 Maxtor LXT-340-SY (324MB)
 Maxtor PO-12S (1.2GB)
 Micropolis 1542 (330MB)
 Micropolis 1664 (340MB)
 Seagate ST277N (60MB)
 Seagate ST296N
 Seagate ST41200 (1000MB)
 Seagate ST41650 (1400MB, but only 1000MB accessible)
 Quantum ProDrive P80S
 Quantum ProDrive 105s
 Quantum ProDrive 80s
  
TAPE DRIVES (SCSI)
------------------
 TANDBERG 3600 streamer, using 250MB DC6250 cardriges
 Wangtek 5525ES
 Wangtek 5150ES
 Wangtek PC36 adapter/5099EN 60MB drive

CD-ROM DRIVES (SCSI)
--------------------
 All should work and the following have been verified.
 NEC CDR-74
 Sony CDU-541
 Texel DM-3024

CD-ROM DRIVES (SCSI)
--------------------
 Internal Sony CDU-31a CD ROM drive and proprietary Sony interface card

NON-SCSI CD-ROM INTERFACES
--------------------------
 ???

NETWORK CARDS
-------------
 wd8013         \
 wd8003          >--These will work by default with the kernel
 SMC Elite 16   /
 Novell/Eagle NE2000
 ne1000
 3com503 EtherlinkII
 3c503 EtherlinkII/16
 Cnet UTP 10baseT (NE 2000 emulation)
 PE-8013 (WD-8013 Compatible)
 SIIG Inc E-Lan/200 (NE 2000 comp.)
 SMC Plus Elite
 
VIDEO CARDS                                    Version of X11R5
Settings for X11R5
---------------------------------------------------------------
 2-the-Max 4032                                xfree
 ATI EGA Wonder
 ATI Graphics Ultra                            xfree
 ATI VIP (8-bit vga clone for XT)
 ATI Ultra/8514                                X8514
  basic
 ATI 1024 XL Plus                              Xfree 1.1
 ATI VGAWONDER XL24
 Boca x/ET4000 512k                            xfree 1.?
   ???
 BOCA SVGA (ET4000) 1M
  vga256
     Virtual       1152 900
     Clocks        25 28 36 40 50 45 65 0
     ViewPort      0 0
     Modes         "1024x768i"
 Diamond Speedstar c/1Meg                      xfree
 Diamond Speedstar(4.2) w/1Meg                 xfree
 Diamond SpeedSTAR Plus Vers. 4.23 (ET4000)
 EVA 1024, ET3000, TSENG LABS VGA BIOS Modell 8822N 
   Clocks 25 28 36 44 57 72 68 50 62
 EDGE(ECS) V24(S3-924)
   clocks 	25 28 40 71 50 77 36 45 130 120 80 32 110 65 75 72
 Fahrenheit 1280 SVGA
 generic ET4000                                xfree
 Genoa 6300 (256k)
 Genoa 7800/ET4000 w/1Meg
   clocks  25 28 32 38 40 45
 G-HOST-4000 (localbus ET4000 card matched with PLB-486/50 Motherboard)
                                               xfree
   clocks  25 28 33 36 40 45 32 38 50 57 65 73 80 90 63 75
 Golden Image 6 (ET4000 32000 colors)
 Headland Video 7
 InformTech Tseng ET4000 HiColor 1MB           xfree
   clocks  25 28 33 36 41 45 59
 Laser 6448/51
 MegaEva 1024 (ET4000)
 Micro-Labs Ultimate VGA/HiColor
 OAK 077 1Mb
 Orchid Fahrenheit 1280                        XS3
 Orchid Prodesigner II                         XFree 1.2
 orchid prodesigner IIs .5mb
 ProDesigner II (1MB RAM)
    vga2
     Clocks 25 28    
 SpeedStar 24X (v1.04)
 TARGA ET4000
   clocks 25 28 32 36 40 45 50 65  50 57  0 72 80 90 101 130
 Tseng ET4000
   clocks: 25 28 33 36 40 45 56 65 13 14 16 18 20 22  0  0
 Trident 8800
 Trident 8900C                                 xfree
 Trident 9000LT2                               Xega
   N/A
 Ultra VGA w/ET3000
 VGA MENTOR                                    XFree86 1.0Ya
  
MONITORS
Settings for X11R5
------------------
 AAMAZING CM-8428MX
  "1024x768" 62 1024 1024 1184 1224 768 768 779 820
 ADI 640x480
 AOC CM 314 (14")
  "640x480"
  "800x600"
 AOC CM-735 17" colour multisync
 CC-3435
  "640x480"         25   640  672  768  800     480 490 492 525
                    28   640  672  768  800     480 490 492 525
  "800x600"         38   800  832  864 1000     600 600 608 620
  "936x702"         38   936  960  968 1136     702 702 710 720
 CTX CVP-5468
  "640x480"         25   640  672  768  800     480 490 492 525
  "640x480a"        28   640  656  744  824     480 499 512 523
  "720x540"         28   720  736  824  928     540 559 570 588
  "800x600nu"       36   800  816  952 1056     600 608 610 633
  "800x600a"        36	 800  824  896 1024     600 601 603 625
  "800x600b"        36	 800  816 1000 1024     600 601 603 625
  "800x600c"	    36	 800  840  984 1024     600 600 610 623
  "800x600d"   	    36   800  816  952 1056     600 608 610 633
  "800x600e"        36   800  832  966  966     600 600 609 631

 CTX CVP-5468NI
  "640x480"         25   640  664  760  800     480 491 493 525
  "800x600"         36   800  824  896 1024     600 601 603 625
                    40   800  840  968 1056     600 601 605 628
  "1024x768"        65  1024 1088 1200 1328     768 783 789 818
 CTX Multiscan
 Compudyne 0.28dp 14" non-interlace SVGA monitor
  "1024x768"    65     1024 1096 1240 1344    768  771  777  806
 Cordata 1024x768
 DMC-2304 (ADI-corporation)
  "640x480"     25      640  664  760  800    480  491  493  525
  "800x600"     36      800  824  896 1024    600  601  603  625
  "1024x480"    40     1024 1040 1216 1272    480  491  493  525
  "1024x768i"   45     1024 1040 1216 1264    768  777  785  817  Interlace
 Digiview Analog Multisync
 ECM-5413 (FOREFRONT)
  "640x480"     25      640  664  760  800    480  491  493  525
  "800x480a"    28      800  824  844  864    480  491  493  525
  "800x480b"    33      800  824  860 1048    480  491  493  525
  "800x480c"    36      800  900  972 1144    480  491  493  525
  "1024x480"    40     1024 1040 1216 1272    480  491  493  525
 Envy 1415
 Gateway Crystal Scan 1024nI (by Magtronics)
 Gateway 2000 Crystal Scan (Mag Computronic 1448) NI
   800x600
   640x480
 Highscreen LE 1024
   "640x480"    25       640 664 760 800     480 491 493 525
   "800x600"    36       800 840 976 1024    600 601 610 632

 Hitachi RGB Enhanced Colour
 Impression Plus NI
   "640x480"   25     640  672  768  800    480  490  492  525
               28     640  672  768  800    480  490  492  525
   "1024x768i" 45    1024 1064 1224 1264    768  777  785  817 Interlace
 Idek Liyama
 KFC 15" flat screen
 Magnavox VGA Colour Display, model CM9032
   ???
 MAG 15F
 MAG MX 15F
   1024x768 NI @70Hz
   800x600 NI @72Hz
   1152x900 NI @50Hz (Uncomfortable, perceptible flicker)
 MAG/EDGE 1564NI o.e.m
   "640x480"       25     640  672  768  800    480  490  492  525
   "800x600"       36     800  824  896 1024    600  601  603  625
   "1024x768"      80    1024 1072 1296 1320    768  772  774  803

 Microscan 3E
   ???
 Mitac AM4020
 NEC 3D
 NEC 5FG
   "800x600"
 NEC MultiSync GS2A
  "640x480"	25	640  664  760  800    480  491  493  525
  "800x600"	45	800  984 1092 1280    600  603  609  656
 NEC JC-1401
  Mode "800x600":   40   800  840  968 1056   600 601 605 628
  Mode "912x684":   45   912  944 1112 1144   684 684 691 718
  Mode "1024x768i": 45  1024 1064 1224 1264   768 798 799 817
   Interlace
  Mode "640x480":   28   640  672  768  800   480 490 492 525
  Mode "760x570":   38   760  792  936  968   570 570 578 599

 NEC Multisync 3D
 Samsung CVB4581 
 Samtron VGA Colour
 SHR MCX 1438D
 Sony HG (13inch)
  "800x600s"      45     800  864  970 1056    600  608  615  633
  "800x600p"      45     800  840  968 1056    600  601  605  628
  "800x600o"      45     800  820  860 1028    600  608  610  633
  "800x600q"      45     800  848  960 1008    600  603  620  640
  "800x600z"      45     800  864  970 1056    600  608  620  640
 TWM 1024x768
 Optiquest 1000
 Osborne (Philips) MPV1024NI
 Packard Bell TriSync PB8510SV
  "640x480"   25     640  656 752 800    480  492  494  529
  "800x600"   36     816  848 920 1024   606  608  611  627
 Philips 7 CM 3209
  "640x480"         25   640  688  756  800   480 490 502 524
  "800x600'         36   800  824  896 1024   600 601 603 625
  "1024x768i"       45  1024 1064 1208 1248   768 777 785 817
 Sigma Designs L-View 1664x1200 120dpi 4-gray-scale monitor
 Sony CPD-1304 Multi-Sync
 Sony CDP-1304c
 SuZiba 800x600 SVGA Model #SD2428V
  "800x600"
 Teco TE5155 multisync (up to 800x600)
 Viewsonic 5e
 Viewsonic 6
   "640x480"    25   640  672  768  800   480 490 492 525
   "800x600"    38   800  816  952 1056   600 608 610 633
   "920x690"    57   920  952 1088 1168   690 688 718 724
   "1024x768i"  45  1024 1064 1224 1264   768 777 785 817
  Interlace
   "1024x768"   65  1024 1092 1220 1344   768 786 791 810
 Viewsonic 7
   "1024x768" 62 1024 1092 1220 1344 768 786 791 810

PRINTERS
--------
 Apple Personal LaserWriter NTR
 Brother HL-4PS
 Brother HJ100
 Canon BJ 10e
 Canon LPB4+
 Citizen Swift 24
 Dec Writer III
 Diablo 630
 Epson Action Laser II
 Epson LQ 400
 Epson LQ-570
 EPSON LX800
 Epson RX-80
 HP Deskjet 500
 HP Laserjet III w/Postscript
 HP Laserjet III w/Pacific Page PE/XL PS Cartidge
 HP Laserjet IIIp
 HP Think Jet
 Infoscribe 1000
 Kodak Diconix 150 ink jet
 Kodak Diconix 150 plus
 KX-P1124
 NEC Pinwriter P6
 NEC P2200XE
 NEC P5300 dot matrix
 NEC SilentWriter 95
 Olivetti DM290
 Panasonic KXP-P1091
 Panasonic KX-P2124
 Panasonic 1624
 Seikosha SL-80AI
 Star LC10 colour
 STAR LC 24/10
 Tandy TRS-80 Printer

MODEMS
------
 ATI 9600etc
 CASE Quattro 2400
 Digicom Scout+ (internal 14.4kbps v32bis/v42bis/MNP2-5)
 Discovery 2400C
 Everex (2400) MNP5
 FasTalk 2400 II
 Galaxy UFO
 GVC 9600 v.42bis
 Logicode Technology- QuickTel 9600 V.32/V.42bis
 Maestro Data Optimizer
 Maestro 2400XR
 MegaHertz C424FM (internal Compaq-compatable modem)
 Multitech v.32 external
 Packard Bell internal 1200
 P.C. Logic 144I, V32bis & V42bis
 Practical Peripherals PM14400FXSA V.32BIS
 Quikkomm (2400)
 SEL Panther 4 (2400bps)
 Smartlink 9614AV - 14.400 highspeed modem from Archteck
 Supra Faxmodem V.32bis
 Supramodem 2400
 Swan 2400 baud
 Telebit T2500 (19.2k)
 Turbo modem (v.32, v.42, v.42bis)
 US Robotics Courier (2400)
 US Robotics - Courier HST Dual Standard+
 US Robotics v.32bis
 Zoom 2400 Internal
 Zoom 2400 External w/SendFax
 Zoom FaxModem 14.4k
 Zoom 14.4k raw 
 ZyXEL 1496-E
 ZyXEL U-1496E (v.32bis/v.42bis/FOX external modem)

MICE
----
 A-Tech serial (switch set to Mouse Systems emulation)
 A4TECH (Taiwan) Serial emulates MS-Mouse w/2 Buttons
 Agiler (Microsoft/Mouse System)
 ATI Busmouse
 Artec M-22 (3-button)
 Artec serial optical (mouse systems/microsoft)
 Genius GM-F303
 Genius GM-6 (microsoft compat)
 Genius GM-6000 2/3 buttons serial mouse
 Laser Microsoft/MouseSystem compatible
 Logictech Dexxa mouse (acts like a Microsoft mouse)
 Logitech FirstMouse serial version
 Logitech MouseMan
 Logitech Pilot Serial (3 buttons)
 Logitech series 9
 Logitech Series 14, 2 Button
 Logitech Trackman 3Button (flakey at best)
 Keen three button serial
 Inland Mouse Plus (emulates MicroSoft or Mouse Systems)
 MicroSoft Serial
 Microsoft Ballpoint mouse
 Mouse Systems Serial
 M-O-U-S-E mouse (taiwan)
 Osborne (Microsoft Compat.)
 PC accessary MCST
 Primax three buttoned mouse (Microsoft/MouseSystems)
 Qtronix
 Quickshot QS-159
 Viglen mouse, 3 buttons, can't get the middle button to work in X
 Z-Nix (Microsoft Compatible)

OTHER
-----
 vt320 terminal (IRQ 10 from HP multi-function card)
 vt220 terminal on COM2
 tvi-925 terminal
 
-- 
Send submissions for comp.os.linux.announce to: [email-masked]